guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Couchman <vn...@apache.org>
Subject Re: 9.14: SSH Handshake failed (extremeswitches)
Date Sat, 23 Jun 2018 13:10:10 GMT
On Fri, Jun 22, 2018 at 11:53 PM cchance <cchance@gmail.com> wrote:

> i switched to the guacamole/guacd docker container and still have the same
> issue, it seems the issue is DSA, some of my switches have a different
> version that supports RSA and that logs in right away but DSA doesn't seem
> to work when the switch has a DSA key on the server side, it doesn't appear
> to work and gives a handshake failed.
>
>
>
The Docker image currently published (0.9.14) still uses an older version
of libssh2 from CentOS7.  Version 1.0.0, when it is released, switches to
Debian stable as its base, and will have an updated libssh2.  You can build
the Docker image from the current git repo and get this Debian-based image,
but you'll have to build manually.

>From my earlier response I speculated about DSS vs. DSA - I'm not an expert
on SSH or Cryptography, but some further reading indicates that DSA is an
implementation of DSS, so the later versions of libssh2 *probably* will
support your Extreme switches.  However, again, you need to make sure
you're actually using that later version, and the 0.9.14 Docker image
available in Docker hub will not have that.

-Nick

Mime
View raw message